/*
	author: Sarah
	Date: Spring 2020
	
	Purpose: this example uses AJAX to get a peice of data out of 
	a text file on the server, 
	and then writes it to the document
*/

	//create a request
	let request = new XMLHttpRequest();
	//open the request and indicate the method and file to request
	//we're not using the optional async parameter, so it is set to default: true
	request.open('GET', 'data.txt');

	console.log("request opened");
	
	
	//when the ready state changes, an event handler is called
	//onreadystatechange contains the event handler to be called,
	//so we set it to our function defined here
	//we need to make sure this is defined before we send the request
	request.onreadystatechange=function(){
	
		if(request.readyState === 4 && request.status === 200){
			//log it, for fun!
			
			console.log(request);
			//write the content of the file to the browser
			document.writeln(request.responseText);
		}
	}
	//send the request
	request.send();
