/*
	author: sarah
	date: spring 2020
	purpose: parse a JSON file, and use its contents to build some 
	html and then write it to a page
*/

let request = new XMLHttpRequest();

request.open('GET', 'data.json');

request.onreadystatechange = function() {
	if ((request.readyState===4) && (request.status===200)) {
	
		//we use the parse function to parse out the data in the JSON file
		let items = JSON.parse(request.responseText);
		
		//just to take a look at what this looks like
		//we get an array of objects
		console.log(items);
		
		//write the name from each object to the list in the html
		let output = '<ul>';
		for(var key in items){
			output+= '<li>' +  items[key].name + '</li>';
		}
		output +='</ul>';
		document.getElementById('update').innerHTML = output;
		
	}
}
request.send();
